<?php
/*

 $Id: show_migrate_zone.inc,v 1.5 2003/06/27 23:18:41 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_migrate_zone.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*!
	@header Show Migrate Zone
	Part of Domain Module.
	This files displays the information for migrating a zone's domains
	from Domain A --> Domain B as specified in the modules conf

*/

if (!$info) { $info = $conf['modules']->get_info("domain"); }

?>
<p class="header1">Migrating <?= $conf['zone']->name; ?>'s Records</p>

<p>This process will update the domain of all Hosts, CNAMEs and MX records in <?= $conf['zone']->name; ?> from <?= $info['source']; ?> to
   <?= $info['dest']; ?>. No CNAME records will be created by default during this process. If you would like to create CNAME's
   to the new hostnames please check the box below. Depending on the number of hosts in <?= $conf['zone']->name; ?> this may take a while.</p>

<p class="fatalerror" align="center">Changing the Domain Name can cause services, such as printing and e-mail, to not function properly.</p>
<form name="migrate_zone" method="post" action="<?= $conf['web_path']; ?>/modules/domain.php" enctype="Multipart/form-data" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr class="widget-title" align="left">
	<td colspan="2">Migrate Zone</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Select a domain:</td>
	<td>
	<? 
		$domains = $conf['zone']->domains();
		$conf['ui']->show_domain_select($domains,$domain_id); 
	?>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Create CNAME's</td>
	<td><input type="checkbox" name="create_cnames" value="true" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="action" value="confirm_migrate_zone" />
		<input type="submit" value="Migrate Zone" />&nbsp;&nbsp;&nbsp;
		<input type="submit" name="action" value="Cancel" />
	</td>
</tr>	
</table>
<? show_template('bborder'); ?>
</form>
